@echo off
if NOT '%3'=='' GORO SecondTime
ECHO @PROMPT %0 $d$t>DTTM$$$1.BAT
COMMAND /E:512 /C DTTM$$$1.BAT>DTTM$$$2.BAT
DTTM$$$2
:SecondTime
rem DEL DTTM$$$2.bat
SET DayOfWeek=%1
SET Date=%2
SET Time=%3